function scatter3D_plot( obj_xyf, n,n_frame, str_title, thres );

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%    subroutine for displaying 3D data (n x n x n_frame) in xyf space
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%   a portion of 3D data which has the value greater than a specified 
%   threshold is shown using scatter3

gg = abs( obj_xyf );
h_fig = figure;
set( h_fig , 'numbertitle', 'off', 'name', str_title );
for jj= 1: n_frame
        [ xx, yy] = find( reshape( gg( :, :, jj), n, n ) > thres);
        if length(xx)
            for kk = 1: length(xx)
              vv(kk) = gg( xx(kk), yy(kk), jj );
            end
           scatter3( jj*ones( 1, length(xx) ), yy', xx',  4, vv ); hold on;
           clear xx yy vv;
        end
         
end
axis( [ 1  n_frame  0  n  0  n ] ); box on; grid off;
xlabel('f', 'FontSize',20);ylabel('x', 'FontSize',20);zlabel('y', 'FontSize',20); 